List Activities
/public/v1/activitiesReturns your organisation's activities. An activity is a recurring event whose individual occurrences are its instances. Read an activity's instances from GET /activities/{activity}/instances.
filter[search]stringPartial match on the activity name.
Example:Art GroupsortstringSort the results. Prefix with '-' for descending. One of: name.
Example:namepage[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of ActivityResource
dataobject[]required▶Show 6 child attributesHide child attributes
idstringrequiredExample:a1c2t3i4-v5i6-47t8-9y0a-1b2c3d4e5f6anamestringrequiredExample:Tuesday Art GrouptimezonestringrequiredExample:Australia/Sydneydetailsstring | nullrequiredExample:Painting and drawing in the community room.capacityinteger | nullrequiredExample:12cancelledbooleanrequiredTrue once the activity is cancelled. Cancelled activities are still returned, so filter on this before attaching a support to one of their instances.
Example:false
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error